traps.info {secr} | R Documentation

## Detector Attributes

### Description

Extract or replace attributes of an object of class ‘traps’.

### Usage

    polyID(object)
    polyID(object) <- value
    transectID(object)
    transectID(object) <- value
    searcharea(object)
    transectlength(object)

### Arguments

`object` | a ‘traps’ object
`value` | replacement value (see Details)

### Details

The ‘polyID’ and ‘transectID’ functions assign and extract the attribute of a ‘traps’ object that relates vertices (rows) to particular polygons or transects. The replacement value should be a factor of length equal to nrow(object).

The ‘searcharea’ of a ‘polygon’ traps object is a vector of the areas of the component polygons in hectares. This value is read-only.

The ‘transectlength’ of a ‘transect’ traps object is a vector of the lengths of the component transects in metres. This value is read-only.

### Value

`polyID` - a factor with one level per polygon. `searcharea` - numeric value of polygon areas, in hectares. `transectlength` - numeric value of transect lengths, in metres.

### See Also

`traps`

### Examples

    ## default is a single polygon
    temp <- make.grid(detector = "polygon", hollow = TRUE)
    polyID(temp)
    plot(temp)

    ## split in two
    temp <- make.grid(detector = "polygon", hollow = TRUE)
    polyID(temp) <- factor(rep(c(1,2),rep(10,2)))
    plot(temp)

[Package secr version 3.2.1 Index]